Bug 1760969 (CVE-2019-2975) - CVE-2019-2975 OpenJDK: Unexpected exception thrown during regular expression processing in Nashorn (Scripting, 8223518)
Summary: CVE-2019-2975 OpenJDK: Unexpected exception thrown during regular expression ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-2975
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1754089 1754096 1760981 1760982 1777849 1777851 1777852 1778949 1754086 1754087 1754088 1754094 1754095 1754097 1754098 1777848 1777850
Blocks: 1753424
TreeView+ depends on / blocked
 
Reported: 2019-10-11 20:35 UTC by Tomas Hoger
Modified: 2019-12-11 10:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-03 01:04:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3141 None None None 2019-10-17 18:57:08 UTC
Red Hat Product Errata RHBA-2019:3148 None None None 2019-10-18 09:02:33 UTC
Red Hat Product Errata RHBA-2019:3186 None None None 2019-10-23 19:17:45 UTC
Red Hat Product Errata RHBA-2019:3188 None None None 2019-10-23 08:43:55 UTC
Red Hat Product Errata RHBA-2019:3739 None None None 2019-11-06 13:32:38 UTC
Red Hat Product Errata RHBA-2019:3741 None None None 2019-11-06 14:22:42 UTC
Red Hat Product Errata RHBA-2019:3823 None None None 2019-11-11 12:51:51 UTC
Red Hat Product Errata RHBA-2019:3830 None None None 2019-11-12 12:37:24 UTC
Red Hat Product Errata RHBA-2019:3831 None None None 2019-11-12 12:45:39 UTC
Red Hat Product Errata RHBA-2019:3884 None None None 2019-11-14 13:29:59 UTC
Red Hat Product Errata RHBA-2019:3885 None None None 2019-11-14 13:26:10 UTC
Red Hat Product Errata RHBA-2019:3937 None None None 2019-11-20 21:05:20 UTC
Red Hat Product Errata RHSA-2019:3127 None None None 2019-10-16 14:45:30 UTC
Red Hat Product Errata RHSA-2019:3128 None None None 2019-10-16 14:18:47 UTC
Red Hat Product Errata RHSA-2019:3134 None None None 2019-10-17 09:57:40 UTC
Red Hat Product Errata RHSA-2019:3135 None None None 2019-10-17 09:58:57 UTC
Red Hat Product Errata RHSA-2019:3136 None None None 2019-10-17 14:27:08 UTC
Red Hat Product Errata RHSA-2019:4113 None None None 2019-12-09 08:56:56 UTC
Red Hat Product Errata RHSA-2019:4115 None None None 2019-12-09 13:26:51 UTC

Description Tomas Hoger 2019-10-11 20:35:38 UTC
It was discovered that the regular expression handling implementation in the Nashorn JavaScript engine in the Scripting component of OpenJDK could unexpectedly throw StackOverflowError exception when processing a specially crafted regular expression.  A JavaScript script could cause the Nashorn engine to exit by compiling a malicious regular expression.

Comment 1 Tomas Hoger 2019-10-15 20:56:39 UTC
Public now via Oracle CPU October 2019:

https://www.oracle.com/security-alerts/cpuoct2019.html#AppendixJAVA

Fixed in Oracle Java SE 13.0.1, 11.0.5, and 8u231.

Comment 2 errata-xmlrpc 2019-10-16 14:18:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3128 https://access.redhat.com/errata/RHSA-2019:3128

Comment 3 errata-xmlrpc 2019-10-16 14:45:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3127 https://access.redhat.com/errata/RHSA-2019:3127

Comment 4 errata-xmlrpc 2019-10-17 09:57:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3134 https://access.redhat.com/errata/RHSA-2019:3134

Comment 5 errata-xmlrpc 2019-10-17 09:58:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3135 https://access.redhat.com/errata/RHSA-2019:3135

Comment 8 errata-xmlrpc 2019-10-17 14:27:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:3136 https://access.redhat.com/errata/RHSA-2019:3136

Comment 9 Tomas Hoger 2019-11-29 07:22:48 UTC
OpenJDK-11 upstream commit:
http://hg.openjdk.java.net/jdk-updates/jdk11u/rev/5f4e2a53afc9

OpenJDK-8 upstream commit:
http://hg.openjdk.java.net/jdk8u/jdk8u/nashorn/rev/fba077f48da2

Comment 10 Product Security DevOps Team 2019-12-03 01:04:52 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-2975

Comment 11 errata-xmlrpc 2019-12-09 08:56:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:4113 https://access.redhat.com/errata/RHSA-2019:4113

Comment 12 errata-xmlrpc 2019-12-09 13:26:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:4115 https://access.redhat.com/errata/RHSA-2019:4115


Note You need to log in before you can comment on or make changes to this bug.